%% Import data from text file (.dat)
% Script for importing data from the following text file:
%
%  ALL NDVI_ONLY.dat files 
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.


%% Initialize variables 
NDVI0 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_0_NDVI_only.dat';
NDVI1 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_1_NDVI_only.dat';
NDVI2 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_2_NDVI_only.dat';
NDVI3 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_3_NDVI_only.dat';
NDVI4 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_4_NDVI_only.dat';
NDVI5 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_5_NDVI_only.dat';
NDVI6 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_6_NDVI_only.dat';
NDVI7 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_7_NDVI_only.dat';
NDVI8 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_8_NDVI_only.dat';
NDVI9 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_9_NDVI_only.dat';

%% Reading files
delimiter = ',';
startRow = 2;
formatSpec = '%s%f%f%[^\n\r]';

%% Opening files and extracting arrays from NDVI_0
 fileID = fopen (NDVI0,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 
variable0 = dataArray{:, 1};
x0 = dataArray{:, 2};
y0 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from NDVI_1
 fileID = fopen (NDVI1,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y1 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from NDVI_2
 fileID = fopen (NDVI2,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y2 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from NDVI_3
 fileID = fopen (NDVI3,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y3 = dataArray{:, 3};  
 
%% Opening files and extracting array y (probability of presence) from NDVI_4
 fileID = fopen (NDVI4,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y4 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from NDVI_5
 fileID = fopen (NDVI5,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y5 = dataArray{:, 3};  

 %% Opening files and extracting array y (probability of presence) from NDVI_6
 fileID = fopen (NDVI6,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y6 = dataArray{:, 3};  
 
 %% Opening files and extracting array y (probability of presence) from NDVI_7
 fileID = fopen (NDVI7,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y7 = dataArray{:, 3};  

 %% Opening files and extracting array y (probability of presence) from NDVI_8
 fileID = fopen (NDVI8,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y8 = dataArray{:, 3};  
 
 %% Opening files and extracting array y (probability of presence) from NDVI_9
 fileID = fopen (NDVI9,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y9 = dataArray{:, 3};  
 
 %% Horizontally conconate matrices to form NDVI 
 NDVI = horzcat(x0,y0,y1,y2,y3,y4,y5,y6,y7,y8,y9)
 xlswrite('NDVIdata.xlsx',NDVI)
 
 
 
 