%% Import data from text file (.dat)
% Script for importing data from the following text file:
%
%  ALL vegetation_ONLY.dat files 
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.


%% Initialize variables 
vegetation0 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_0_vegetation_only.dat';
vegetation1 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_1_vegetation_only.dat';
vegetation2 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_2_vegetation_only.dat';
vegetation3 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_3_vegetation_only.dat';
vegetation4 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_4_vegetation_only.dat';
vegetation5 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_5_vegetation_only.dat';
vegetation6 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_6_vegetation_only.dat';
vegetation7 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_7_vegetation_only.dat';
vegetation8 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_8_vegetation_only.dat';
vegetation9 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_9_vegetation_only.dat';

%% Reading files
delimiter = ',';
startRow = 2;
formatSpec = '%s%f%f%[^\n\r]';

%% Opening files and extracting arrays from vegetation_0
 fileID = fopen (vegetation0,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 
variable0 = dataArray{:, 1};
x0 = dataArray{:, 2};
y0 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from vegetation_1
 fileID = fopen (vegetation1,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y1 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from vegetation_2
 fileID = fopen (vegetation2,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y2 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from vegetation_3
 fileID = fopen (vegetation3,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y3 = dataArray{:, 3};  
 
%% Opening files and extracting array y (probability of presence) from vegetation_4
 fileID = fopen (vegetation4,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y4 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from vegetation_5
 fileID = fopen (vegetation5,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y5 = dataArray{:, 3};  

 %% Opening files and extracting array y (probability of presence) from vegetation_6
 fileID = fopen (vegetation6,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y6 = dataArray{:, 3};  
 
 %% Opening files and extracting array y (probability of presence) from vegetation_7
 fileID = fopen (vegetation7,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y7 = dataArray{:, 3};  

 %% Opening files and extracting array y (probability of presence) from vegetation_8
 fileID = fopen (vegetation8,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y8 = dataArray{:, 3};  
 
 %% Opening files and extracting array y (probability of presence) from vegetation_9
 fileID = fopen (vegetation9,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y9 = dataArray{:, 3};  
 
 %% Horizontally conconate matrices to form vegetation 
 vegetation = horzcat(x0,y0,y1,y2,y3,y4,y5,y6,y7,y8,y9)
 xlswrite('vegetationdata.xlsx',vegetation)

 
 
 
 
 
 