%% Import data from text file (.dat)
% Script for importing data from the following text file:
%
%  ALL DEM_ONLY.dat files 
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.


%% Initialize variables 
DEM0 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_0_dem_only.dat';
DEM1 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_1_dem_only.dat';
DEM2 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_2_dem_only.dat';
DEM3 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_3_dem_only.dat';
DEM4 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_4_dem_only.dat';
DEM5 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_5_dem_only.dat';
DEM6 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_6_dem_only.dat';
DEM7 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_7_dem_only.dat';
DEM8 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_8_dem_only.dat';
DEM9 = 'G:\MSc Thesis Research\Eland Research - Data\Data\MaxEnt output\final final runs\FINAAAL\25 TEST PERCENTAGE 10 FOLD SUBSAMPLE - raw\plots\Eland_9_dem_only.dat';

%% Reading files
delimiter = ',';
startRow = 2;
formatSpec = '%s%f%f%[^\n\r]';

%% Opening files and extracting arrays from DEM_0
 fileID = fopen (DEM0,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 
variable0 = dataArray{:, 1};
x0 = dataArray{:, 2};
y0 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from DEM_1
 fileID = fopen (DEM1,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y1 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from DEM_2
 fileID = fopen (DEM2,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y2 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from DEM_3
 fileID = fopen (DEM3,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y3 = dataArray{:, 3};  
 
%% Opening files and extracting array y (probability of presence) from DEM_4
 fileID = fopen (DEM4,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y4 = dataArray{:, 3};  

%% Opening files and extracting array y (probability of presence) from DEM_5
 fileID = fopen (DEM5,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y5 = dataArray{:, 3};  

 %% Opening files and extracting array y (probability of presence) from DEM_6
 fileID = fopen (DEM6,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y6 = dataArray{:, 3};  
 
 %% Opening files and extracting array y (probability of presence) from DEM_7
 fileID = fopen (DEM7,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y7 = dataArray{:, 3};  

 %% Opening files and extracting array y (probability of presence) from DEM_8
 fileID = fopen (DEM8,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y8 = dataArray{:, 3};  
 
 %% Opening files and extracting array y (probability of presence) from DEM_9
 fileID = fopen (DEM9,'r');
 dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);
 fclose(fileID);
 y9 = dataArray{:, 3};  
 
 %% Horizontally conconate matrices to form DEM 
 DEM = horzcat(x0,y0,y1,y2,y3,y4,y5,y6,y7,y8,y9)
 xlswrite('demdata.xlsx',DEM)

 
 
 
 
 
 